GNU bug report logs - #42733
27.1; json-serialize doesn't not encode list like json-encode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>; Keywords: notabug moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 42733 <at> debbugs.gnu.org and Jimmy Yuen Ho Wong <wyuenho@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42733 <at> debbugs.gnu.org:


Received: (at 42733) by debbugs.gnu.org; 5 Jul 2021 19:48:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 05 15:48:22 2021
Received: from localhost ([127.0.0.1]:46705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m0UZq-0004e5-FD
	for submit <at> debbugs.gnu.org; Mon, 05 Jul 2021 15:48:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:60512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m0UZo-0004do-T6
 for 42733 <at> debbugs.gnu.org; Mon, 05 Jul 2021 15:48:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=KV2eeoMhJfQ5KInQrvpMS5evJtBfKkukoDsWfkm3p0A=; b=ciukq3rkFXyvfOaxlHgpRWJnT/
 SuoUnVFUlc/RpqGaHn8NYNlZnlCcGpnCbFT7Mmg/mNBxpxQhgLwGLPrppHcK9bYfu8SCn5wBIRyq7
 ZRj8JOC2930iPyjBD9e/xOW5cAg55qOotLFunIk8BaUvqNSL2iH9RFq/nlsl0CeM08Wc=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1m0UZg-0008OK-Dp; Mon, 05 Jul 2021 21:48:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp <p.stephani2@HIDDEN>
Subject: Re: bug#42733: 27.1; json-serialize doesn't not encode list like
 json-encode
References: <m2v9hvzaes.fsf@HIDDEN> <875yyj6y7e.fsf@HIDDEN>
 <F19015E7-324F-403C-93DB-B1A0FA0434A6@HIDDEN>
X-Now-Playing: Mark Beyer's _Radiator Music_: "Radiator Music 14"
Date: Mon, 05 Jul 2021 21:48:11 +0200
In-Reply-To: <F19015E7-324F-403C-93DB-B1A0FA0434A6@HIDDEN> (Philipp's
 message of "Mon, 5 Jul 2021 19:45:19 +0200")
Message-ID: <87zgv0v8xw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philipp <p.stephani2@HIDDEN> writes: >> So I'd be inclined
 to just regard this as a feature, but I've added >> Philipp to the CCs --
 perhaps he has some comments. > > What Lars said. In general, DWIM can be
 a good choice for high-level > [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42733
Cc: 42733 <at> debbugs.gnu.org, Philipp Stephani <phst@HIDDEN>,
 Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Philipp <p.stephani2@HIDDEN> writes:

>> So I'd be inclined to just regard this as a feature, but I've added
>> Philipp to the CCs -- perhaps he has some comments.
>
> What Lars said.  In general, DWIM can be a good choice for high-level
> user-facing commands, but not for lower-level library functions like
> this.  Second-guessing the intention of the caller often generates
> surprising or subtly wrong results, which isn't what you want for
> interpreting a rather low-level protocol like JSON.  json-serialize
> thus very intentionally behaves differently than the json.el
> functions.

So this works as intended, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42733; Package emacs. Full text available.

Message received at 42733 <at> debbugs.gnu.org:


Received: (at 42733) by debbugs.gnu.org; 5 Jul 2021 17:45:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 05 13:45:28 2021
Received: from localhost ([127.0.0.1]:46638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m0Seu-0001gr-Lj
	for submit <at> debbugs.gnu.org; Mon, 05 Jul 2021 13:45:28 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:42645)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1m0Ses-0001ge-HS
 for 42733 <at> debbugs.gnu.org; Mon, 05 Jul 2021 13:45:27 -0400
Received: by mail-wr1-f48.google.com with SMTP id t6so13056216wrm.9
 for <42733 <at> debbugs.gnu.org>; Mon, 05 Jul 2021 10:45:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=W8MBIPJUWEkt8OW93ob+8kATxcKP43EsNyWz+gIndEE=;
 b=Ti9i3/J87Fw+qV3gUdakQV73TP8k70zJ4n0L9iqFWicUZnZpDc2KvVCoLazzXjGzlP
 j1/ouVqVZsLXjVF4WTwo7qLkVEYgCKiizZcvHh6CvPpw9NJfhGxVnzNX08r7TplorjG0
 n6nHKjV0mZQT+2xkVSKV30BSrTVs1+YWhQNbjistcJ52hpK3AX01jOEZMo73xeNEHYCW
 CpwIJjq5aI3/nWsnOmVHbxBFMMzWrCs1ZfQ6yXC0qNg3IY/nmPlKzicyN+Zwp9LOHXMB
 4w6Ugxqsr0NUj1PuFHorkNhWNwW0TYAAJjcdoZtZC+Z76iaSfzo/4BLjHWKId2De7NyU
 AhQA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=W8MBIPJUWEkt8OW93ob+8kATxcKP43EsNyWz+gIndEE=;
 b=D3vsWsSTDYnbm29kPaqZxAzvcotrJ45BKPNWmZuXr4WYwLymmAmMflkTp4xZz7yW93
 MjhMUW+OMAqir3kdr17rg20NbZyW5Fw3gMxHAav2vchr8ZgB5VAXrGUul3DAeDxZnEjE
 AGqYrgXvF4HNYZ/tM6/pS1Gaoc/qlCSgqf3ce/CR/WCW/sv/JMTBneo+8+OQzogGMoKX
 r5EaJsQbt4DIFZBmr1uFbxLvvTJfNoEJXgYijz0/Cv47sdBurm7HkvB08gFXAZzUkJV7
 rlenhku7qhkTulUBpxJeZM/3mBv9/H5ABXCEA0i3lyzucNDZVv+jkE7D0Jy/8vsAoubQ
 vwOQ==
X-Gm-Message-State: AOAM531xv1W/5B2UeH5UlVpwNGvCiWVF7Di62T7tP4xknn5w4I8tX6jW
 BijPwbOpTOgZjdgAUOOYKVw=
X-Google-Smtp-Source: ABdhPJwNgY/xXtDkP+MW0C84IWeGJ2vJh3dm3QYo8iHurrOnxDMLrWrAuZJf755AXbP6Yc8pp7GyTg==
X-Received: by 2002:adf:ebc6:: with SMTP id v6mr16720915wrn.398.1625507120627; 
 Mon, 05 Jul 2021 10:45:20 -0700 (PDT)
Received: from smtpclient.apple ([46.128.198.100])
 by smtp.gmail.com with ESMTPSA id y8sm13741020wrr.76.2021.07.05.10.45.19
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 05 Jul 2021 10:45:20 -0700 (PDT)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.100.0.2.22\))
Subject: Re: bug#42733: 27.1; json-serialize doesn't not encode list like
 json-encode
From: Philipp <p.stephani2@HIDDEN>
In-Reply-To: <875yyj6y7e.fsf@HIDDEN>
Date: Mon, 5 Jul 2021 19:45:19 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <F19015E7-324F-403C-93DB-B1A0FA0434A6@HIDDEN>
References: <m2v9hvzaes.fsf@HIDDEN> <875yyj6y7e.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3654.100.0.2.22)
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 42733
Cc: 42733 <at> debbugs.gnu.org, Philipp Stephani <phst@HIDDEN>,
 Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)



> Am 12.06.2021 um 14:53 schrieb Lars Ingebrigtsen <larsi@HIDDEN>:
>=20
> Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes:
>=20
>> (json-encode '("foo" "bar"))
>> =3D> "[\"foo\",\"bar\"]"
>>=20
>> (json-serialize '("foo" "bar"))
>>=20
>> Debugger entered--Lisp error: (wrong-type-argument symbolp "foo")
>>  json-serialize(("foo" "bar"))
>>=20
>> The potential for people to naively substitute json-encode with
>> json-serialize and breaking their code is enormous. This is already
>> happening in lsp-mode. Please make json-serialize behave like
>> json-encode.
>=20
> json.c is a lot less "DWIM" than json.el -- which I think is generally =
a
> good idea when it comes to doing round-trips between Elisp and JSON,
> because you avoid a lot of corner cases.
>=20
> So I'd be inclined to just regard this as a feature, but I've added
> Philipp to the CCs -- perhaps he has some comments.

What Lars said.  In general, DWIM can be a good choice for high-level =
user-facing commands, but not for lower-level library functions like =
this.  Second-guessing the intention of the caller often generates =
surprising or subtly wrong results, which isn't what you want for =
interpreting a rather low-level protocol like JSON.  json-serialize thus =
very intentionally behaves differently than the json.el functions.=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42733; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42733 <at> debbugs.gnu.org:


Received: (at 42733) by debbugs.gnu.org; 12 Jun 2021 12:53:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 12 08:53:51 2021
Received: from localhost ([127.0.0.1]:40568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ls395-0003gM-GG
	for submit <at> debbugs.gnu.org; Sat, 12 Jun 2021 08:53:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42230)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ls394-0003g6-I3
 for 42733 <at> debbugs.gnu.org; Sat, 12 Jun 2021 08:53:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iLdFPQLThBCozIrf9Qg3yVg3J1x/+Q8PUVYO9fZ8jis=; b=DXHDhY1o8A/m43Yfk4EyRxsogZ
 Ae/Wa2KlYd7QO1Cu/wUt0NPAlRfHD8ZJKnosyExgCSpdh5Tu2/Ein1G2Ec3CsslA9Tnmx+XHFn4mW
 q5hXLzf/loe7nEyFSH3Su/JhKZiC4h7Xsi9ON1f8rb4RlrLkZbtYGedDvNn34g6CfCf0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ls38w-0005qM-0s; Sat, 12 Jun 2021 14:53:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
Subject: Re: bug#42733: 27.1; json-serialize doesn't not encode list like
 json-encode
References: <m2v9hvzaes.fsf@HIDDEN>
X-Now-Playing: Colored Music's _Individual Beauty_: "Night Paradise"
Date: Sat, 12 Jun 2021 14:53:41 +0200
In-Reply-To: <m2v9hvzaes.fsf@HIDDEN> (Jimmy Yuen Ho Wong's message of "Thu, 
 06 Aug 2020 23:17:47 +0100")
Message-ID: <875yyj6y7e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes: > (json-encode
 '("foo" "bar")) > => "[\"foo\",\"bar\"]" > > (json-serialize '("foo" "bar"))
 > > Debugger entered--Lisp error: (wrong-type-argument symbolp "foo") >
 json-serialize(("foo" "bar")) > > Th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42733
Cc: 42733 <at> debbugs.gnu.org, Philipp Stephani <phst@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes:

> (json-encode '("foo" "bar"))
> => "[\"foo\",\"bar\"]"
>
> (json-serialize '("foo" "bar"))
>
> Debugger entered--Lisp error: (wrong-type-argument symbolp "foo")
>   json-serialize(("foo" "bar"))
>
> The potential for people to naively substitute json-encode with
> json-serialize and breaking their code is enormous. This is already
> happening in lsp-mode. Please make json-serialize behave like
> json-encode.

json.c is a lot less "DWIM" than json.el -- which I think is generally a
good idea when it comes to doing round-trips between Elisp and JSON,
because you avoid a lot of corner cases.

So I'd be inclined to just regard this as a feature, but I've added
Philipp to the CCs -- perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42733; Package emacs. Full text available.

Message received at 42733 <at> debbugs.gnu.org:


Received: (at 42733) by debbugs.gnu.org; 7 Aug 2020 02:18:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 22:18:40 2020
Received: from localhost ([127.0.0.1]:55255 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3rxw-0004qB-Ge
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 22:18:40 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:45323)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <soyeomul@HIDDEN>) id 1k3rxu-0004px-Jw
 for 42733 <at> debbugs.gnu.org; Thu, 06 Aug 2020 22:18:39 -0400
Received: by mail-pl1-f177.google.com with SMTP id bh1so322482plb.12
 for <42733 <at> debbugs.gnu.org>; Thu, 06 Aug 2020 19:18:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=doraji.xyz; s=yw;
 h=from:to:subject:organization:message-id:references:date:in-reply-to
 :user-agent:mime-version:content-transfer-encoding;
 bh=FPBvmYhvywsJff+2a89xcOctUVA9/UZ0riQVYkwJ+sc=;
 b=KpXHadm75EzZymgSK8YPOe5RQVwr5Nr+pe9YJb2WdHpu23zs/x6KcA8Cf4ZKK9AnT0
 kBT3EnwoK1M3ch7E7h3xircM8lik7e3RNH8EWBpcRWPGxHFzMM01E+L8WnSHlG7TCk5E
 T/6Hx9ZvBypUZVBsyo25UuqEzK/z4HJHu7Bi0Sw/Je7l0QCzuMzeF+BFrBpWLaH8EuNL
 LeUo0SOi0LQ+tx0N+ps02FgBH0WFrXnjRjPQ3Im5AYb/v1pRPAYPXhj9dsFyQmCdVn/8
 oqruPIajxsar+rdWnq2iO+TegwV8uwqQTwXx6rgJ0vuHHuFQCl8dh/jHFqR/irDabYUp
 uj8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:organization:message-id
 :references:date:in-reply-to:user-agent:mime-version
 :content-transfer-encoding;
 bh=FPBvmYhvywsJff+2a89xcOctUVA9/UZ0riQVYkwJ+sc=;
 b=RMBJBBW8MQEn9zyvKDTjxwo7tBdbMRSz0uZv7Es5kLSF78vZ9ARUgL0GIQjvfd5/EC
 PVC1GMm+1UU3bTK7ousVPYnK+uVCb6DbzHRtRX2tm2DKiat/HKPwqhSq1tbiKeflMPLJ
 E4j2TyPonf9KBXz8mTPR2Q1UBuhrAIKR+GsjwNgdn9OdJPaXjaZE0IqzpNaIR4SDICKn
 PnIO0dEu+m94GKG8UcXHa5k9eHYKzdFyBT1YCWdK6VilS+sKxnyOLcj8/Qff6bYJSPt0
 M9P+ZpN2K7SAiWbhC2h5E1LbWBfLOqgpFyXSJzKy/6z+KxgEZmzC98npTXAfMvM97g0g
 J19g==
X-Gm-Message-State: AOAM530hDmj7i3Ox9JkzhfHWqw7Rg2Qtn6m3s6lPYvMKRAtZM6Dn2eQL
 QTV3Hxb+rYCIuYBD6eV3kk6PGfF3bnwKmYSL
X-Google-Smtp-Source: ABdhPJwzdtjLB5fiqv3XvlGxGt5GA0pxNAZOoHDio6DUr7h7Mh+6q64w4WEDdlAk6Wj5Ep4bQC/JXQ==
X-Received: by 2002:a17:902:9f85:: with SMTP id
 g5mr10105476plq.13.1596766712329; 
 Thu, 06 Aug 2020 19:18:32 -0700 (PDT)
Received: from delta.birch.chromebook ([211.228.200.237])
 by smtp.gmail.com with ESMTPSA id e29sm1557839pfj.92.2020.08.06.19.18.29
 for <42733 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 06 Aug 2020 19:18:31 -0700 (PDT)
Received: by delta.birch.chromebook (sSMTP sendmail emulation);
 Fri, 07 Aug 2020 11:18:25 +0900
From: soyeomul@HIDDEN (=?utf-8?B?7Zmp67OR7Z2s?=)
To: 42733 <at> debbugs.gnu.org
Subject: Re: bug#42733: 27.1;
 json-serialize does not encode list like json-encode
Organization: =?utf-8?B?6YeR6Zm1ICjsl7Dsm5DsnZgg66eI7J2MKQ==?=
Message-ID: <ywyvxm8gdspz.fsf@HIDDEN>
References: <m2v9hvzaes.fsf@HIDDEN>
 <979a7dfc-8bbc-59eb-c85a-14e6bbfd04a6@HIDDEN>
X-Thanks-Workers: =?utf-8?B?7J2066eI65GQLCDsnbTsiJzsi6AsIOyghOuqheyImSwg?=
 =?utf-8?B?7KeE7ZGc7Jyo7IKsLCDqtIDsmrTsnqUsIOqwle2DnOqztQ==?=
X-Thanks-Today: =?utf-8?B?J+yngOq4iOydgCDtlbTsm5Dsi5zrjIDri4jrnbwuIOyWkQ==?=
 =?utf-8?B?67CY7J2EIOywvuyVhCDrsJjsg4HsnZgg6rWs67OE7J2EIOqwgOumrOuKlCA=?=
 =?utf-8?B?6rKD7J2AIOq3uCDshKDroLnsnZgg67yI66W8IOq5juuKlCDqsoPqs7wg6rCZ?=
 =?utf-8?B?6rOgIOunne2VmOuKlCDquLDsmrTsnbQg65Sw66W064KY64uI6528LiDqt7g=?=
 =?utf-8?B?65+s66+A66GcIOyWkeuwmOydmCDsnbjsirXsnYQg7IaN7Z6IIOuyhOumrA==?=
 =?utf-8?B?6rOgIOyynOyduOydhCDsmrDrjIDtlZjsl6zslbwg7LKZ7J20IO2SgOugpCA=?=
 =?utf-8?B?67mo66asIOyii+ydgCDsi5zrjIDqsIAg7Jik66as6528Lic=?=
X-Thanks-Thanks-Thanks: =?utf-8?B?7LKc7ZWY7LC97IOd7J2EIOuLpCDsgrTrpqzsi5w=?=
 =?utf-8?B?66Ck64qUIOuniOydjC4uLl5eXg==?=
X-Thanks-MID-Tool: https://gitlab.com/soyeomul/Gnus/-/blob/master/mid/tmid.py
X-Thanks-Absolete-Coding-System: UTF-8
X-Operating-System: =?utf-8?B?4omqZGluZ+KJqw==?= -- The Gnus <ding@HIDDEN>
X-Gnus-Motto: In a cloud bones of steel.
X-Gnus-Desktop: GNOME ('Ubuntu', '18.04', 'bionic')
Date: Fri, 07 Aug 2020 11:18:25 +0900
In-Reply-To: <979a7dfc-8bbc-59eb-c85a-14e6bbfd04a6@HIDDEN> (Jimmy Yuen Ho
 Wong's message of "Thu, 6 Aug 2020 23:29:31 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42733
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Jimmy Yuen Ho Wong <wyuenho@HIDDEN> writes:

> ...
>> Reproduction:
>>
>> (json-encode '("foo" "bar"))
>> =3D> "[\"foo\",\"bar\"]"
>>
>> (json-serialize '("foo" "bar"))
>>
>> Debugger entered--Lisp error: (wrong-type-argument symbolp "foo")
>>    json-serialize(("foo" "bar"))
>>
>> The potential for people to naively substitute json-encode with
>> json-serialize and breaking their code is enormous. This is already
>> happening in lsp-mode. Please make json-serialize behave like
>> json-encode.
>>
>> Jimmy Yuen Ho Wong

I just would like to raise up this PR because i like very much JSON things.=
=20

So thanks for Jimmy, indeed...!!!

Sincerely, JSON fan Byung-Hee

--=20
^=EA=B3=A0=EB=A7=99=EC=8A=B5=EB=8B=88=EB=8B=A4 _=E5=9C=B0=E5=B9=B3=E5=A4=A9=
=E6=88=90_ =EA=B0=90=EC=82=AC=ED=95=A9=EB=8B=88=EB=8B=A4_^))//




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42733; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Aug 2020 22:29:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 18:29:41 2020
Received: from localhost ([127.0.0.1]:55094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3oOK-0005jz-RQ
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 18:29:41 -0400
Received: from lists.gnu.org ([209.51.188.17]:56214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1k3oOI-0005jr-HS
 for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 18:29:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55182)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wyuenho@HIDDEN>) id 1k3oOI-0005Ed-87
 for bug-gnu-emacs@HIDDEN; Thu, 06 Aug 2020 18:29:38 -0400
Received: from mail-wr1-x433.google.com ([2a00:1450:4864:20::433]:44188)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wyuenho@HIDDEN>) id 1k3oOF-0004NR-Pp
 for bug-gnu-emacs@HIDDEN; Thu, 06 Aug 2020 18:29:37 -0400
Received: by mail-wr1-x433.google.com with SMTP id c15so9229630wrs.11
 for <bug-gnu-emacs@HIDDEN>; Thu, 06 Aug 2020 15:29:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:from:to:references:message-id:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=TrMWYbFjpzQb5n6zQtvFCnTGexBoF0+FB7wRtR4/NRQ=;
 b=kHcIQC3DbxKhZAzByMuj0HG7cD4JlO7ZiFH0kZRfaeiclAdWSo7LqIxnqo2S1BvUpM
 XcF8ms3Mvo0ZL8jyoPc8ZJLXZOH3k30YcAzaTFeVNzkOUriZ3zIAuh5e+XNaa84iWG54
 RoPuTalpjtdmJBye3/ZejpqS3jrB8F3taIMAVxmsI9lPfn6Ha2lcBXMiIaITVmL9jYnB
 /DkJsmXBElrTdfUZ7On/xYY//zj9WPJ01wvLUAPvvN0uYUj4tupFighHEMcsuM78EXBV
 aoBVrUGaeXdA6u699TwoUh+UJxUujq5g7dpo26ujdVtAlVR67ndC+2hMDiu80dmK542u
 dylg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:from:to:references:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=TrMWYbFjpzQb5n6zQtvFCnTGexBoF0+FB7wRtR4/NRQ=;
 b=k38Pp8U0y4xUjs5dwfKnuEjbourmG/SEeGfmaALMCQ9MQGYMLB11Q8UyncmmtGtHVa
 bMF9Bxm3bseW7hiv/afewNOcYmP2CwpH/VxrHDC0GD3SQkLIrFQE/G8u7wbrGGKGT1Pf
 2B1xQsCYQwqoXazhfUEqiLb+pSLZ/Z12y9ZfYQuhX0zJxLqsMnvCPMTN7QARJApJ61r0
 TmkfIo/74LKOMHRr57lU5QrTFBYn6UTScnPatFgxr6TlGozCUTaj1gKqamtrD8FC1Hu1
 n6Qlalo86YFD9oPkWHo3lTIkRgX70/dBpH6lK8bh9OnWAuhghgmmq4C5YKNPXUapxUSw
 e4iQ==
X-Gm-Message-State: AOAM532jG4QMP46Hz+CPtVuitkC/3R1CMy3nE287bo2OY6MIuDkeR0Y9
 ceZARPrzM48j92eM1jhh5dkPZWd8oGY=
X-Google-Smtp-Source: ABdhPJzwT+Fyi7iDMGs6NnukqVWGnBFFkfIloHSxTh02ckLUQGWl6ztd+KMCdEQ66mBzpHbA5S4RDg==
X-Received: by 2002:a5d:618e:: with SMTP id j14mr9620265wru.374.1596752973256; 
 Thu, 06 Aug 2020 15:29:33 -0700 (PDT)
Received: from MobileCat.local ([188.214.11.130])
 by smtp.gmail.com with ESMTPSA id k204sm8388050wma.21.2020.08.06.15.29.32
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 06 Aug 2020 15:29:32 -0700 (PDT)
Subject: Re: 27.1; json-serialize does not encode list like json-encode
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
To: bug-gnu-emacs@HIDDEN
References: <m2v9hvzaes.fsf@HIDDEN>
Message-ID: <979a7dfc-8bbc-59eb-c85a-14e6bbfd04a6@HIDDEN>
Date: Thu, 6 Aug 2020 23:29:31 +0100
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:78.0)
 Gecko/20100101 Thunderbird/78.1.0
MIME-Version: 1.0
In-Reply-To: <m2v9hvzaes.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
Received-SPF: pass client-ip=2a00:1450:4864:20::433;
 envelope-from=wyuenho@HIDDEN; helo=mail-wr1-x433.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

Note to self, always check the email subject before sending ....

On 06/08/2020 11:17 PM, Jimmy Yuen Ho Wong wrote:
> Reproduction:
>
> (json-encode '("foo" "bar"))
> => "[\"foo\",\"bar\"]"
>
> (json-serialize '("foo" "bar"))
>
> Debugger entered--Lisp error: (wrong-type-argument symbolp "foo")
>    json-serialize(("foo" "bar"))
>
> The potential for people to naively substitute json-encode with
> json-serialize and breaking their code is enormous. This is already
> happening in lsp-mode. Please make json-serialize behave like
> json-encode.
>
> Jimmy Yuen Ho Wong
>
>
> In GNU Emacs 27.1 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G73))
>   of 2020-07-30 built on MobileCat.local
> Repository revision: d024fc141bab0b8d3400dc6b53eac1ed199ddb1f
> Repository branch: HEAD
> Windowing system distributor 'Apple', version 10.3.1894
> System Description:  Mac OS X 10.15.6
>
> Recent messages:
> Back to top level
> Entering debugger...
> "[1,2,3]"
> [1 2 3]
> "[1,2,3]"
> "[\"foo\",\"bar\"]"
> Back to top level
> Send this bug report to the Emacs maintainers? (y or n) n
> report-emacs-bug-hook: M-x report-emacs-bug was canceled, please read *Bug Help* buffer
> line-move-visual: Beginning of buffer
> user-error: No window right from selected window
> Configured using:
>   'configure --prefix=/opt/local --without-dbus --without-gconf
>   --without-libotf --without-m17n-flt --without-gpm --with-gnutls
>   --with-xml2 --with-modules --infodir /opt/local/share/info/emacs
>   --with-json --without-harfbuzz --with-ns --with-lcms2
>   --with-imagemagick --with-rsvg 'CFLAGS=-pipe -Os
>   -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk
>   -arch x86_64' 'CPPFLAGS=-I/opt/local/include
>   -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk'
>   'LDFLAGS=-L/opt/local/lib -Wl,-headerpad_max_install_names -Wl,-no_pie
>   -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk
>   -arch x86_64''
>
> Configured features:
> RSVG IMAGEMAGICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
> TOOLKIT_SCROLL_BARS XIM NS MODULES THREADS JSON PDUMPER LCMS2 GMP
>
> Important settings:
>    value of $LANG: en_GB.UTF-8
>    locale-coding-system: utf-8-unix
>
> Major mode: Help
>
> Minor modes in effect:
>    flycheck-pos-tip-mode: t
>    projectile-rails-global-mode: t
>    projectile-mode: t
>    company-quickhelp-mode: t
>    company-quickhelp-local-mode: t
>    purpose-mode: t
>    imenu-list-minor-mode: t
>    diff-hl-flydiff-mode: t
>    company-flx-mode: t
>    dap-tooltip-mode: t
>    dap-ui-many-windows-mode: t
>    dap-ui-controls-mode: t
>    dap-ui-mode: t
>    treemacs-filewatch-mode: t
>    treemacs-follow-mode: t
>    treemacs-git-mode: deferred
>    treemacs-fringe-indicator-mode: t
>    dap-auto-configure-mode: t
>    dap-mode: t
>    crm-custom-mode: t
>    override-global-mode: t
>    winner-mode: t
>    which-key-mode: t
>    smooth-scrolling-mode: t
>    show-smartparens-global-mode: t
>    smartparens-global-mode: t
>    show-paren-mode: t
>    savehist-mode: t
>    save-place-mode: t
>    rxt-global-mode: t
>    rxt-mode: t
>    recentf-mode: t
>    minibuffer-depth-indicate-mode: t
>    ido-vertical-mode: t
>    ido-ubiquitous-mode: t
>    icomplete-vertical-mode: t
>    global-whitespace-cleanup-mode: t
>    global-tree-sitter-mode: t
>    global-origami-mode: t
>    origami-mode: t
>    global-move-dup-mode: t
>    move-dup-mode: t
>    global-magit-file-mode: t
>    which-function-mode: t
>    magit-auto-revert-mode: t
>    global-auto-revert-mode: t
>    global-git-commit-mode: t
>    shell-dirtrack-mode: t
>    server-mode: t
>    global-hl-line-mode: t
>    global-flycheck-mode: t
>    global-diff-hl-mode: t
>    flx-ido-mode: t
>    ido-everywhere: t
>    icomplete-mode: t
>    fido-mode: t
>    editorconfig-mode: t
>    desktop-save-mode: t
>    delete-selection-mode: t
>    company-statistics-mode: t
>    global-company-mode: t
>    auto-compile-on-save-mode: t
>    async-bytecomp-package-mode: t
>    amx-mode: t
>    tooltip-mode: t
>    global-eldoc-mode: t
>    electric-indent-mode: t
>    mouse-wheel-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    temp-buffer-resize-mode: t
>    buffer-read-only: t
>    size-indication-mode: t
>    column-number-mode: t
>    line-number-mode: t
>    transient-mark-mode: t
>
> Load-path shadows:
> /opt/local/share/emacs/site-lisp/cmake-mode hides /Users/wyuenho/.emacs.d/elpa/cmake-mode-20190710.1319/cmake-mode
> /Users/wyuenho/.emacs.d/elpa/xref-1.0.1/xref hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/xref
> /Users/wyuenho/.emacs.d/elpa/project-0.5.0/project hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/project
> /Users/wyuenho/.emacs.d/elpa/flymake-1.0.9/flymake hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/flymake
> /Users/wyuenho/.emacs.d/elpa/eldoc-1.8.0/eldoc hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/emacs-lisp/eldoc
>
> Features:
> (undo-fu shadow sort mail-extr emacsbug sendmail tabify cl-print
> misearch multi-isearch visual-regexp-steroids visual-regexp autoload
> jka-compr helpful trace edebug info-look elisp-refs loop two-column
> all-the-icons all-the-icons-faces data-material data-weathericons
> data-octicons data-fileicons data-faicons data-alltheicons lsp-origami
> lsp-completion lsp-diagnostics lsp-modeline view lsp-sqls lsp-yaml
> lsp-xml lsp-vhdl lsp-vetur lsp-html lsp-verilog lsp-terraform
> lsp-solargraph lsp-serenata lsp-rust lsp-python-ms lsp-pyls lsp-pwsh
> lsp-perl lsp-json lsp-intelephense lsp-haxe lsp-go lsp-gdscript
> lsp-fsharp lsp-eslint lsp-erlang lsp-elm lsp-css lsp-csharp lsp-clojure
> lsp-clients dired-hide-dotfiles vc-mtn vc-hg vc-bzr vc-src vc-sccs
> vc-svn vc-cvs vc-rcs diff-hl-dired dired-collapse dired-hacks-utils
> company-web-html company-web company-css web-completion-data emmet-mode
> web-mode smart-semicolon add-node-modules-path css-mode smartparens-html
> sgml-mode eww mm-url gnus nnheader url-queue shr svg xml dom vc-git
> flycheck-pos-tip flycheck-pyre python-black py-isort python-docstring
> smartparens-python python tramp-sh docker-tramp tramp-cache tramp
> tramp-loaddefs trampver tramp-integration files-x tramp-compat ls-lisp
> projectile-rails rake inflections inf-ruby smartparens-ruby ruby-mode
> smie autoinsert projectile company-quickhelp pos-tip company-keywords
> company-etags etags fileloop generator company-gtags
> company-dabbrev-code company-dabbrev company-yasnippet company-capf
> company-emoji company-emoji-list company-files company-cmake
> company-xcode company-clang company-semantic company-eclim
> company-template rainbow-mode elisp-def ert debug backtrace
> display-line-numbers cap-words superword subword smartparens-config
> smartparens-javascript smartparens-org smartparens-markdown
> smartparens-text smartparens-c form-feed editorconfig-core
> editorconfig-core-handle editorconfig-fnmatch solarized-dark-theme
> solarized-theme solarized solarized-faces spaceline-config
> spaceline-segments spaceline powerline powerline-separators
> powerline-themes hideshow beginend window-purpose-x shut-up
> window-purpose window-purpose-fixes window-purpose-prefix-overload
> window-purpose-switch window-purpose-layout window-purpose-core
> window-purpose-configuration eieio-compat window-purpose-utils
> imenu-list windmove magit-lfs magit-todos hl-todo org ob ob-tangle
> ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
> org-pcomplete org-list org-faces org-entities org-version ob-emacs-lisp
> ob-core ob-eval org-table ol org-keys org-compat org-macs org-loaddefs
> cal-menu calendar cal-loaddefs forge-list forge-commands forge-semi
> forge-bitbucket buck forge-gogs gogs forge-gitea gtea forge-gitlab glab
> forge-github ghub-graphql treepy gsexp ghub let-alist forge-notify
> forge-revnote forge-pullreq forge-issue forge-topic bug-reference
> forge-post forge-repo forge forge-core forge-db closql emacsql-sqlite
> emacsql emacsql-compiler diff-hl-flydiff ediff-merg ediff-mult
> ediff-wind ediff-diff ediff-help ediff-init ediff-util dumb-jump popup
> rg rg-info-hack rg-menu rg-ibuffer rg-result wgrep-rg wgrep rg-history
> rg-header ibuf-ext ibuffer ibuffer-loaddefs grep swift-mode
> swift-mode-imenu swift-mode-repl swift-mode-beginning-of-defun
> swift-mode-font-lock swift-mode-standard-types swift-mode-indent
> swift-mode-lexer yard-mode poly-markdown polymode poly-lock
> polymode-base polymode-weave polymode-export polymode-compat
> polymode-methods polymode-core polymode-classes eieio-custom eieio-base
> json-mode json-reformat json-snatcher js cc-mode cc-fonts cc-guess
> cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
> reformatter parse-time iso8601 flycheck-objc-clang cl-lib-highlight
> eterm-256color term disp-table ehelp xterm-color native-complete
> company-lsp company-flx dap-lldb dap-mouse dap-ui dap-ui-repl
> lsp-treemacs lsp-treemacs-themes treemacs treemacs-header-line
> treemacs-compatibility treemacs-mode treemacs-interface
> treemacs-extensions treemacs-persistence treemacs-mouse-interface
> treemacs-tag-follow-mode treemacs-filewatch-mode treemacs-tags
> treemacs-follow-mode treemacs-rendering treemacs-async
> treemacs-workspaces treemacs-dom treemacs-visuals
> treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
> treemacs-icons treemacs-themes treemacs-core-utils pfuture ace-window
> avy treemacs-logging treemacs-customization treemacs-macros gdb-mi gud
> bui bui-list bui-info bui-entry bui-core bui-history bui-button
> bui-utils lsp-lens dap-python dap-mode posframe dap-overlays
> lsp-sourcekit lsp-jedi lsp lsp-mode lsp-protocol xref project spinner
> markdown-mode color noutline outline lv inline ht f em-glob esh-util
> dash-functional compile bindat tree-sitter-langs tree-sitter-langs-build
> tar-mode arc-mode archive-mode pp tree-sitter-hl yasnippet-snippets
> yasnippet crm-custom pager-default-keybindings pager browse-kill-ring
> delight use-package-bind-key use-package-delight osx-trash bind-key
> exec-path-from-shell quelpa-use-package use-package-core quelpa lisp-mnt
> help-fns radix-tree mm-archive gnutls network-stream url-http url-gw nsm
> url-cache url-auth url url-proxy url-privacy url-expand url-methods
> url-history url-cookie url-domsuf url-util mailcap winner which-key
> smooth-scrolling smartparens thingatpt paren savehist saveplace pcre2el
> rxt re-builder recentf tree-widget mb-depth ido-vertical-mode
> ido-completing-read+ memoize cus-edit wid-edit minibuf-eldef
> icomplete-vertical help-at-pt whitespace-cleanup-mode whitespace
> tree-sitter tree-sitter-load tree-sitter-cli tree-sitter-core
> tree-sitter-dyn tree-sitter-dyn-get dired-aux origami origami-parsers
> move-dup magit-submodule magit-obsolete magit-blame magit-stash
> magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
> magit-remote magit-commit magit-sequence magit-notes magit-worktree
> magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
> magit-status magit magit-repos magit-apply magit-wip magit-log
> which-func imenu magit-diff smerge-mode diff magit-core magit-autorevert
> autorevert filenotify magit-margin magit-transient magit-process
> magit-mode git-commit transient magit-git magit-section magit-utils crm
> log-edit message rmc puny dired dired-loaddefs format-spec rfc822 mml
> mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
> text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
> rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
> mail-utils gmm-utils mailheader pcvs-util add-log with-editor cl-extra
> shell pcomplete comint ring server hl-line flycheck ansi-color find-func
> help-mode dash diff-hl vc-dir ewoc vc vc-dispatcher diff-mode easy-mmode
> flx-ido flx ido icomplete editorconfig desktop frameset delsel
> company-statistics company pcase auto-compile packed async-bytecomp
> advice async amx s cus-start cus-load finder-inf edmacro kmacro rx cl
> info package easymenu browse-url url-handlers url-parse auth-source
> cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
> subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv
> cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
> lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
> term/common-win tool-bar dnd fontset image regexp-opt fringe
> tabulated-list replace newcomment text-mode elisp-mode lisp-mode
> prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
> select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
> term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
> misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
> cp51932 hebrew greek romanian slovak czech european ethiopic indian
> cyrillic chinese composite charscript charprop case-table epa-hook
> jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
> button faces cus-face macroexp files text-properties overlay sha1 md5
> base64 format env code-pages mule custom widget hashtable-print-readable
> backquote threads kqueue cocoa ns lcms2 multi-tty make-network-process
> emacs)
>
> Memory information:
> ((conses 16 1421509 540949)
>   (symbols 48 65724 54)
>   (strings 32 321417 88062)
>   (string-bytes 1 8900750)
>   (vectors 16 226691)
>   (vector-slots 8 5366473 762388)
>   (floats 8 1135 2969)
>   (intervals 56 11183 4313)
>   (buffers 1000 64))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42733; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Aug 2020 22:18:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 06 18:18:00 2020
Received: from localhost ([127.0.0.1]:55067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3oD1-0005Rs-I0
	for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 18:18:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:53276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <wyuenho@HIDDEN>) id 1k3oCx-0005Ri-Eq
 for submit <at> debbugs.gnu.org; Thu, 06 Aug 2020 18:17:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53274)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <wyuenho@HIDDEN>) id 1k3oCx-0002pP-4c
 for bug-gnu-emacs@HIDDEN; Thu, 06 Aug 2020 18:17:55 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:36588)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <wyuenho@HIDDEN>) id 1k3oCu-0003JW-LI
 for bug-gnu-emacs@HIDDEN; Thu, 06 Aug 2020 18:17:54 -0400
Received: by mail-wr1-x434.google.com with SMTP id 88so45397601wrh.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 06 Aug 2020 15:17:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=7SlQgOxqwtuXr2V5+bVinwkplRGYJxZEWCuVs+G2myM=;
 b=ZdsC05sipv6rT2768+9rJOnT7o/RtFCBkiANQeU7GL/wYNyTKdOdQM7qnVw6gRXWTt
 SjQhtsPa9DK/RKCfBGsyryuxzyf4Yq4k4OCwsHZWSoCudvrTQr65HvE5gtIK6p+PNbaL
 3vFug0VHYgPmV2JPXasglVWdvZTHDCw5J56FC7L7Z+/BHtp53dFaTdCDiBGFjVIsZaqB
 TWpQRfcUpSi5JFLRp3uBooF2ZgL+fesIzkYnQEN5sIDWhblyOUOtb5vvuXh96diH8PO9
 K/+Ev96KEsJdAimUoYXdY6YAbAQkrnWX9mTPX4IP+UxlfSezNaHYT8x1vgW8c3fnQWA0
 +ScQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=7SlQgOxqwtuXr2V5+bVinwkplRGYJxZEWCuVs+G2myM=;
 b=crmCHb7ZZUikFt808x1utHmGjti9VX7z+9t0TNMEV1DLEoN0huaX1HMzPOreZEaDhP
 ScQFv4+pSNI3/FHmCaflyJ/t/j3v0PDvhod8ny9hFmkxsDjPKH9mVIqpTbqbsxd9zqvO
 l4pwK4/h4nAmS5XL5cbFO5mERGrh4gNoTWLwzXg+w1ArjLBQFQkxqqvOC8y5zZPdxEZn
 mrwaI4ZqiaELtr7ws+AuItocb4FDfvq9oj3ITNa/w+GtJg7N6p/wnLWGKtPRRVrCJahd
 mX5K7ZPbTUZp/CzZlZb54/lGVfi7vo5M2y/7e+hQhVLgz/Ew05LQvUrrfO7VZWFtt1OJ
 9vkQ==
X-Gm-Message-State: AOAM532PrhDabIL4gCF2hVcjlOnZYMP13V86vtzQhV5LOZ8T298XCNpO
 YJtEa1FyVYbluabjwIJGjMoa0z8uuJo=
X-Google-Smtp-Source: ABdhPJwL9+Vp3FS0bcehC/OnEjDkPNwKYYE7Gs/aGYMai/VG/WRNEFcINfzRO42l1c+zzicntsUwYg==
X-Received: by 2002:a05:6000:c:: with SMTP id h12mr8916307wrx.49.1596752269470; 
 Thu, 06 Aug 2020 15:17:49 -0700 (PDT)
Received: from MobileCat.local ([188.214.11.130])
 by smtp.gmail.com with ESMTPSA id g16sm7759282wrs.88.2020.08.06.15.17.48
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 06 Aug 2020 15:17:48 -0700 (PDT)
From: Jimmy Yuen Ho Wong <wyuenho@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; json-serialize doesn't not encode list like json-encode
Date: Thu, 06 Aug 2020 23:17:47 +0100
Message-ID: <m2v9hvzaes.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::434;
 envelope-from=wyuenho@HIDDEN; helo=mail-wr1-x434.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Reproduction:

(json-encode '("foo" "bar"))
=> "[\"foo\",\"bar\"]"

(json-serialize '("foo" "bar"))

Debugger entered--Lisp error: (wrong-type-argument symbolp "foo")
  json-serialize(("foo" "bar"))

The potential for people to naively substitute json-encode with
json-serialize and breaking their code is enormous. This is already
happening in lsp-mode. Please make json-serialize behave like
json-encode.

Jimmy Yuen Ho Wong


In GNU Emacs 27.1 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G73))
 of 2020-07-30 built on MobileCat.local
Repository revision: d024fc141bab0b8d3400dc6b53eac1ed199ddb1f
Repository branch: HEAD
Windowing system distributor 'Apple', version 10.3.1894
System Description:  Mac OS X 10.15.6

Recent messages:
Back to top level
Entering debugger...
"[1,2,3]"
[1 2 3]
"[1,2,3]"
"[\"foo\",\"bar\"]"
Back to top level
Send this bug report to the Emacs maintainers? (y or n) n
report-emacs-bug-hook: M-x report-emacs-bug was canceled, please read *Bug Help* buffer
line-move-visual: Beginning of buffer
user-error: No window right from selected window
Configured using:
 'configure --prefix=/opt/local --without-dbus --without-gconf
 --without-libotf --without-m17n-flt --without-gpm --with-gnutls
 --with-xml2 --with-modules --infodir /opt/local/share/info/emacs
 --with-json --without-harfbuzz --with-ns --with-lcms2
 --with-imagemagick --with-rsvg 'CFLAGS=-pipe -Os
 -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk
 -arch x86_64' 'CPPFLAGS=-I/opt/local/include
 -isysroot/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk'
 'LDFLAGS=-L/opt/local/lib -Wl,-headerpad_max_install_names -Wl,-no_pie
 -Wl,-syslibroot,/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.15.sdk
 -arch x86_64''

Configured features:
RSVG IMAGEMAGICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS XIM NS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  flycheck-pos-tip-mode: t
  projectile-rails-global-mode: t
  projectile-mode: t
  company-quickhelp-mode: t
  company-quickhelp-local-mode: t
  purpose-mode: t
  imenu-list-minor-mode: t
  diff-hl-flydiff-mode: t
  company-flx-mode: t
  dap-tooltip-mode: t
  dap-ui-many-windows-mode: t
  dap-ui-controls-mode: t
  dap-ui-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: deferred
  treemacs-fringe-indicator-mode: t
  dap-auto-configure-mode: t
  dap-mode: t
  crm-custom-mode: t
  override-global-mode: t
  winner-mode: t
  which-key-mode: t
  smooth-scrolling-mode: t
  show-smartparens-global-mode: t
  smartparens-global-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  rxt-global-mode: t
  rxt-mode: t
  recentf-mode: t
  minibuffer-depth-indicate-mode: t
  ido-vertical-mode: t
  ido-ubiquitous-mode: t
  icomplete-vertical-mode: t
  global-whitespace-cleanup-mode: t
  global-tree-sitter-mode: t
  global-origami-mode: t
  origami-mode: t
  global-move-dup-mode: t
  move-dup-mode: t
  global-magit-file-mode: t
  which-function-mode: t
  magit-auto-revert-mode: t
  global-auto-revert-mode: t
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  server-mode: t
  global-hl-line-mode: t
  global-flycheck-mode: t
  global-diff-hl-mode: t
  flx-ido-mode: t
  ido-everywhere: t
  icomplete-mode: t
  fido-mode: t
  editorconfig-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  company-statistics-mode: t
  global-company-mode: t
  auto-compile-on-save-mode: t
  async-bytecomp-package-mode: t
  amx-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/opt/local/share/emacs/site-lisp/cmake-mode hides /Users/wyuenho/.emacs.d/elpa/cmake-mode-20190710.1319/cmake-mode
/Users/wyuenho/.emacs.d/elpa/xref-1.0.1/xref hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/xref
/Users/wyuenho/.emacs.d/elpa/project-0.5.0/project hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/project
/Users/wyuenho/.emacs.d/elpa/flymake-1.0.9/flymake hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/progmodes/flymake
/Users/wyuenho/.emacs.d/elpa/eldoc-1.8.0/eldoc hides /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/emacs-lisp/eldoc

Features:
(undo-fu shadow sort mail-extr emacsbug sendmail tabify cl-print
misearch multi-isearch visual-regexp-steroids visual-regexp autoload
jka-compr helpful trace edebug info-look elisp-refs loop two-column
all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons lsp-origami
lsp-completion lsp-diagnostics lsp-modeline view lsp-sqls lsp-yaml
lsp-xml lsp-vhdl lsp-vetur lsp-html lsp-verilog lsp-terraform
lsp-solargraph lsp-serenata lsp-rust lsp-python-ms lsp-pyls lsp-pwsh
lsp-perl lsp-json lsp-intelephense lsp-haxe lsp-go lsp-gdscript
lsp-fsharp lsp-eslint lsp-erlang lsp-elm lsp-css lsp-csharp lsp-clojure
lsp-clients dired-hide-dotfiles vc-mtn vc-hg vc-bzr vc-src vc-sccs
vc-svn vc-cvs vc-rcs diff-hl-dired dired-collapse dired-hacks-utils
company-web-html company-web company-css web-completion-data emmet-mode
web-mode smart-semicolon add-node-modules-path css-mode smartparens-html
sgml-mode eww mm-url gnus nnheader url-queue shr svg xml dom vc-git
flycheck-pos-tip flycheck-pyre python-black py-isort python-docstring
smartparens-python python tramp-sh docker-tramp tramp-cache tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat ls-lisp
projectile-rails rake inflections inf-ruby smartparens-ruby ruby-mode
smie autoinsert projectile company-quickhelp pos-tip company-keywords
company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-yasnippet company-capf
company-emoji company-emoji-list company-files company-cmake
company-xcode company-clang company-semantic company-eclim
company-template rainbow-mode elisp-def ert debug backtrace
display-line-numbers cap-words superword subword smartparens-config
smartparens-javascript smartparens-org smartparens-markdown
smartparens-text smartparens-c form-feed editorconfig-core
editorconfig-core-handle editorconfig-fnmatch solarized-dark-theme
solarized-theme solarized solarized-faces spaceline-config
spaceline-segments spaceline powerline powerline-separators
powerline-themes hideshow beginend window-purpose-x shut-up
window-purpose window-purpose-fixes window-purpose-prefix-overload
window-purpose-switch window-purpose-layout window-purpose-core
window-purpose-configuration eieio-compat window-purpose-utils
imenu-list windmove magit-lfs magit-todos hl-todo org ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-macro org-footnote org-src ob-comint
org-pcomplete org-list org-faces org-entities org-version ob-emacs-lisp
ob-core ob-eval org-table ol org-keys org-compat org-macs org-loaddefs
cal-menu calendar cal-loaddefs forge-list forge-commands forge-semi
forge-bitbucket buck forge-gogs gogs forge-gitea gtea forge-gitlab glab
forge-github ghub-graphql treepy gsexp ghub let-alist forge-notify
forge-revnote forge-pullreq forge-issue forge-topic bug-reference
forge-post forge-repo forge forge-core forge-db closql emacsql-sqlite
emacsql emacsql-compiler diff-hl-flydiff ediff-merg ediff-mult
ediff-wind ediff-diff ediff-help ediff-init ediff-util dumb-jump popup
rg rg-info-hack rg-menu rg-ibuffer rg-result wgrep-rg wgrep rg-history
rg-header ibuf-ext ibuffer ibuffer-loaddefs grep swift-mode
swift-mode-imenu swift-mode-repl swift-mode-beginning-of-defun
swift-mode-font-lock swift-mode-standard-types swift-mode-indent
swift-mode-lexer yard-mode poly-markdown polymode poly-lock
polymode-base polymode-weave polymode-export polymode-compat
polymode-methods polymode-core polymode-classes eieio-custom eieio-base
json-mode json-reformat json-snatcher js cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
reformatter parse-time iso8601 flycheck-objc-clang cl-lib-highlight
eterm-256color term disp-table ehelp xterm-color native-complete
company-lsp company-flx dap-lldb dap-mouse dap-ui dap-ui-repl
lsp-treemacs lsp-treemacs-themes treemacs treemacs-header-line
treemacs-compatibility treemacs-mode treemacs-interface
treemacs-extensions treemacs-persistence treemacs-mouse-interface
treemacs-tag-follow-mode treemacs-filewatch-mode treemacs-tags
treemacs-follow-mode treemacs-rendering treemacs-async
treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture ace-window
avy treemacs-logging treemacs-customization treemacs-macros gdb-mi gud
bui bui-list bui-info bui-entry bui-core bui-history bui-button
bui-utils lsp-lens dap-python dap-mode posframe dap-overlays
lsp-sourcekit lsp-jedi lsp lsp-mode lsp-protocol xref project spinner
markdown-mode color noutline outline lv inline ht f em-glob esh-util
dash-functional compile bindat tree-sitter-langs tree-sitter-langs-build
tar-mode arc-mode archive-mode pp tree-sitter-hl yasnippet-snippets
yasnippet crm-custom pager-default-keybindings pager browse-kill-ring
delight use-package-bind-key use-package-delight osx-trash bind-key
exec-path-from-shell quelpa-use-package use-package-core quelpa lisp-mnt
help-fns radix-tree mm-archive gnutls network-stream url-http url-gw nsm
url-cache url-auth url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap winner which-key
smooth-scrolling smartparens thingatpt paren savehist saveplace pcre2el
rxt re-builder recentf tree-widget mb-depth ido-vertical-mode
ido-completing-read+ memoize cus-edit wid-edit minibuf-eldef
icomplete-vertical help-at-pt whitespace-cleanup-mode whitespace
tree-sitter tree-sitter-load tree-sitter-cli tree-sitter-core
tree-sitter-dyn tree-sitter-dyn-get dired-aux origami origami-parsers
move-dup magit-submodule magit-obsolete magit-blame magit-stash
magit-reflog magit-bisect magit-push magit-pull magit-fetch magit-clone
magit-remote magit-commit magit-sequence magit-notes magit-worktree
magit-tag magit-merge magit-branch magit-reset magit-files magit-refs
magit-status magit magit-repos magit-apply magit-wip magit-log
which-func imenu magit-diff smerge-mode diff magit-core magit-autorevert
autorevert filenotify magit-margin magit-transient magit-process
magit-mode git-commit transient magit-git magit-section magit-utils crm
log-edit message rmc puny dired dired-loaddefs format-spec rfc822 mml
mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader pcvs-util add-log with-editor cl-extra
shell pcomplete comint ring server hl-line flycheck ansi-color find-func
help-mode dash diff-hl vc-dir ewoc vc vc-dispatcher diff-mode easy-mmode
flx-ido flx ido icomplete editorconfig desktop frameset delsel
company-statistics company pcase auto-compile packed async-bytecomp
advice async amx s cus-start cus-load finder-inf edmacro kmacro rx cl
info package easymenu browse-url url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 1421509 540949)
 (symbols 48 65724 54)
 (strings 32 321417 88062)
 (string-bytes 1 8900750)
 (vectors 16 226691)
 (vector-slots 8 5366473 762388)
 (floats 8 1135 2969)
 (intervals 56 11183 4313)
 (buffers 1000 64))




Acknowledgement sent to Jimmy Yuen Ho Wong <wyuenho@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42733; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Jul 2021 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.